Get user attributes from an existing Identity Provider.

Prev Next
Post
/identity-providers/{id}/attributes

Get raw attributes and mapped claims for a user.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Body parameters

User details to get attributes for.

object
username
string

Required for Ldap, Radius and LocalDatabase providers.

Exampleusername
password
string

Required for Radius provider.

ExampletSW3!QBv(rj{UuLY
samlResponse
string

A sample SAML token to extract attributes from. Required for SAML provider.

Responses
200

User attributes.

Expand All
object
rawAttributes
object

The attributes received and unchanged by the Identity Provider.

Example{ "samAccountName": [ "username" ], "upn": [ "username@company.com" ] }
property*
Array of string additionalProperties
string
mappedAttributes
object

The attributes received and mapped by the Identity Provider according to claimMappings.

Example{ "username": "username" }
property*
string additionalProperties
400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.